easyVDR

Normale Version: Wie bringe ich die Mediathek zum laufen?
Du siehst gerade eine vereinfachte Darstellung unserer Inhalte. Normale Ansicht mit richtiger Formatierung.
Hi,

da ich heute eventuell wieder am VDR1 schrauben kann, gleich mal eine Frage im Voraus:
Im OSD gibt es den Punkt "Mediathek". Als ich den nach der Installation betätigt habe, passierte exakt NICHTS. Leider konnte ich weder im Forum noch im Wiki etwas dazu finden. Funktioniert die Mediathek in der 3.0 eventuell nicht oder muss ich da erst noch etwas einstellen?

Viele Grüße

MK.
Hi MK
Gebe mal in Suche oben Rechts Mediathek ein
Da wird sicher etwas dabei sein
Gruß Oberlooser
Moin Oberlooser,

die Hilfe habe ich natürlich zuerst befragt, da gibt es leider keine Ergebnisse zur Mediethek und easyvdr  3.0 Sad 
vch-helper kenne ich noch von 1.0, aber dort ist es ja irgendwann mal nicht mehr gelaufen.

Gruß

MK.
Hi MK
Bin leider im Ausland kann Dir jetzt nicht weiter helfen
Weiß nur das viele Mediatheken nichts Anzeigen oder nicht richtig funktionieren
Besser geht es da mit Kodi 17.1
Dort mit addons viel mehr Auswahl
Gruss Oberlooser
Hi,

wie man "easyvdr-addon-vch-helper" einrichtet ist im Wiki beschrieben.
...ob nun easyVDR-1.0/2.0/3.0, es hat sich nichts geändert.
http://wiki.easy-vdr.de/index.php?title=...vch-helper

P.S
Was an Mediatheken funktioniert, weiss ich jetzt nicht. Auch bei Kodi funktionieren
einige Mediatheken z.Zt nicht.

Gruss
Wolfgang
VCH-Helper lässt sich (im Moment) nicht über das setup installieren Huh
Hi, 
Mit Setup meinst du das Toolmenü (per Konsole)? Oder was? 
Geht es evtl per apt-get update && apt-get install? 
Oder via easyportal? 
MfG Stefan
Hallo,

(27.02.2017, 19:26)mango schrieb: [ -> ]P.S
Was an Mediatheken funktioniert, weiss ich jetzt nicht.
VCH-Helper funktioniert z.Zt nicht!!
Email an "hampelratte"(Entwickler) schreib ich Heute noch.

Gruss
Wolfgang
(28.02.2017, 18:34)SurfaceCleanerZ schrieb: [ -> ]Hi, 
Mit Setup meinst du das Toolmenü (per Konsole)? Oder was? 
Geht es evtl per apt-get update && apt-get install? 
Oder via easyportal? 
MfG Stefan

Hi Stefan,

ich habe es über putty und das Setup-Menü versucht.
Dabei hat es aber auch keine anderen Anwendungen installiert, so das ich dort wohl eh einen anderen Weg ausprobieren muss.

@Wolfgang: Na da kann ich die Aktivitäten ja vorerst auf Eis legen...

Gruß

MK.
Hi, 
Abgesehen von Wolfgangs Info: wenn du Plugins meinst : die  werden nur installiert aber nicht automatisch auch aktiviert...  (die müssen danach via easyportal oder im OSD noch aktiviert werden...) 
Das ist unser Grundprinzip des Setup - Plugins! 
MfG Stefan
Hallo Steffan,

das ist klar, ich nutze seit 2007 easyvdr...
Aber wenn mir im Setup gesagt wird: "Folgende Plugins konnten nicht installiert werden...." dann wurden sie eben nicht installiert, warum auch immer Huh 

Gruß

MK.
Hallo,

(01.03.2017, 10:00)meinekatze schrieb: [ -> ]@Wolfgang: Na da kann ich die Aktivitäten ja vorerst auf Eis legen...
Dank hampelratte(Henrik) gibt es wieder ein funktionierendes Paket "easyvdr-addon-vch-helper" THX!
hampelratte hatte seinen Server auf https umgestellt, was wohl zu Problemen führte.
Auch wurde der ZDF-Parser überarbeitet, Mediatheken ZDF sind nun wieder Ok

Pic:OSD-Menu
[Bild: wrdhqmpx.jpg]

Pic:Web-If
[Bild: yqs6ew9a.jpg]
"easyvdr-addon-vch-helper" wurde für easyVDR-2.x/3.x erneuert!

P.S
Bitte Paket zuerst deinstallieren dann installieren!
Konsole:
Code:
sudo apt-get remove easyvdr-addon-vch-helper
sudo apt update
sudo apt-get install easyvdr-addon-vch-helper

Code:
root@easy3:~# apt-cache policy easyvdr-addon-vch-helper
easyvdr-addon-vch-helper:
 Installiert:           1:2.0.1-0easyVDR0~trusty
 Installationskandidat: 1:2.0.1-0easyVDR0~trusty
 Versionstabelle:
*** 1:2.0.1-0easyVDR0~trusty 0
      1002 http://ppa.launchpad.net/easyvdr-team/3-base-stable/ubuntu/ trusty/main amd64 Packages
      1002 http://ppa.launchpad.net/mango-vdr/easy-next-base/ubuntu/ trusty/main amd64 Packages
       100 /var/lib/dpkg/status

Gruss
Wolfgang
Hi,

leider funktioniert die ZDF-Mediathek nocht nicht wie gewünscht.
Fehler:
1. Download nicht möglich
Code:
HTTP ERROR 500

Problem accessing /downloads. Reason:

   No applicable downloader found
Caused by:

java.lang.InstantiationException: No applicable downloader found
at de.berlios.vch.download.DownloadManagerImpl.__M_downloadItem(DownloadManagerImpl.java:159)
at de.berlios.vch.download.DownloadManagerImpl.downloadItem(DownloadManagerImpl.java)
at de.berlios.vch.download.DownloadManager$$Proxy.downloadItem(Unknown Source)
at de.berlios.vch.download.webinterface.handler.html.HtmlAddHandler.get(HtmlAddHandler.java:43)
at de.berlios.vch.download.webinterface.DownloadsServlet.__M_get(DownloadsServlet.java:105)
at de.berlios.vch.download.webinterface.DownloadsServlet.get(DownloadsServlet.java)
at de.berlios.vch.web.servlets.VchHttpServlet.doGet(VchHttpServlet.java:43)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:707)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
at org.apache.felix.http.base.internal.handler.ServletHandler.doHandle(ServletHandler.java:91)
at org.apache.felix.http.base.internal.handler.ServletHandler.handle(ServletHandler.java:77)
at org.apache.felix.http.base.internal.dispatch.ServletPipeline.handle(ServletPipeline.java:42)
at org.apache.felix.http.base.internal.dispatch.InvocationFilterChain.doFilter(InvocationFilterChain.java:49)
at org.apache.felix.http.base.internal.dispatch.HttpFilterChain.doFilter(HttpFilterChain.java:33)
at org.apache.felix.http.base.internal.dispatch.FilterPipeline.dispatch(FilterPipeline.java:48)
at org.apache.felix.http.base.internal.dispatch.Dispatcher.dispatch(Dispatcher.java:39)
at org.apache.felix.http.base.internal.DispatcherServlet.service(DispatcherServlet.java:55)
at javax.servlet.http.HttpServlet.service(HttpServlet.java:820)
at org.mortbay.jetty.servlet.ServletHolder.handle(ServletHolder.java:511)
at org.mortbay.jetty.servlet.ServletHandler.handle(ServletHandler.java:390)
at org.mortbay.jetty.servlet.SessionHandler.handle(SessionHandler.java:182)
at org.mortbay.jetty.handler.ContextHandler.handle(ContextHandler.java:765)
at org.mortbay.jetty.handler.HandlerWrapper.handle(HandlerWrapper.java:152)
at org.mortbay.jetty.Server.handle(Server.java:326)
at org.mortbay.jetty.HttpConnection.handleRequest(HttpConnection.java:536)
at org.mortbay.jetty.HttpConnection$RequestHandler.headerComplete(HttpConnection.java:915)
at org.mortbay.jetty.HttpParser.parseNext(HttpParser.java:539)
at org.mortbay.jetty.HttpParser.parseAvailable(HttpParser.java:212)
at org.mortbay.jetty.HttpConnection.handle(HttpConnection.java:405)
at org.mortbay.io.nio.SelectChannelEndPoint.run(SelectChannelEndPoint.java:409)
at org.mortbay.thread.QueuedThreadPool$PoolThread.run(QueuedThreadPool.java:582)
Powered by Jetty://
2. Mplayer kann die Files nicht abspielen.
Code:
May  2 19:35:08 easy3 vdr: [16035] mplayer: mplayer child started (pid=16035)
May  2 19:35:08 easy3 vdr: [16036] mplayer: player thread started (pid=15764)
May  2 19:35:08 easy3 logger: *** Starting mplayer.sh Version 0.8.7
May  2 19:35:08 easy3 logger: *** DEBUG: Variable CFGFIL has value "/etc/vdr/plugins/vdrmplayer.sh.conf"
May  2 19:35:08 easy3 logger: *** Use Option USERDEF at your own risk!
May  2 19:35:08 easy3 vdr: [15764] closing SVDRP connection
May  2 19:35:08 easy3 vdr: [16005] animator thread thread ended (pid=15764, tid=16005)
May  2 19:35:08 easy3 lircd-0.9.0[2486]: accepted new client on /var/run/lirc/lircd
May  2 19:35:08 easy3 lircd-0.9.0[2486]: removed client
May  2 19:35:08 easy3 logger: *** INFO: Source Video has Resolution of 0 x 0 ...
May  2 19:35:08 easy3 logger: *** FATAL: something went wrong analyzing the video; check your mplayer version ...
May  2 19:35:09 easy3 vdr: [16036] mplayer: player thread ended (pid=15764)
...auch mit Mplayer/SMplayer unter Kubuntu, kann ich den Stream nicht abspielen!
In VLC abspielen und Stream über Web-If funktionieren.

Man kann jedoch Modul UPNP im VCH-Helper aktivieren und unter Videos in Kodi hinzufügen
da werden die Sendungen von ZDF-Mediathek ohne weiteres abgespielt.

Melde mich wenn es was neues zu den Problemen gibt!

Gruss
Wolfgang
Hallo,

ZDF-Mediathek Download ist jetzt Ok - THX hampelratte!

Wenn ich mir nun von ZDF-Mediathek ein *.mp4 ziehe kann ich dies auch mit Plugin mplayer abspielen,
...aber der Stream funktioniert noch nicht.
Fehler im syslog - wo nichts ankommt kann auch nichts raus!
Code:
logger: *** DEBUG: OutputFromMPLAYER: "ID_EXIT=EOF"
logger: *** DEBUG: MPLAYER_RETURN:  "0"
logger: *** DEBUG: parsed output for ORIG_X: "0"
logger: *** DEBUG: parsed output for ORIG_Y: "0"
logger: *** DEBUG: parsed output for ORIG_FPS: ""
logger: *** DEBUG: parsed output for ORIG_ASPECT: ""
logger: *** DEBUG: parsed output for VIDEO_FORMAT: ""
logger: *** DEBUG: parsed output for AUDIO_CODEC: ""
logger: *** INFO: Source Video has Resolution of 0 x 0 ...
logger: *** FATAL: something went wrong analyzing the video; check your mplayer version ...
vdr: [22072] mplayer: player thread ended (pid=24145)

Ausgabe ffmpeg -protocols auch Ok!
Code:
Supported file protocols:
Input:
.....
 http
 httpproxy
 https
.....
Output:
.....
 http
 httpproxy
 https
.....

Info folgt!

Gruss
Wolfgang
Hallo,

Problem mit Mplayer/Plugin mplayer ist gelöst ...nun können auch "https://" Streams abgespielt werden!

Pic: Mplayer aus easy-VDR PPA
[Bild: vvl77nc7.jpg]

Pic: Mplayer New
[Bild: j5n22vf4.jpg]

P.S
Upload ins PPA erfolgt heute Abend(spät)

Gruss
Wolfgang
Hallo,

Pakete sind im PPA!

Wer das Paket "easyvdr-addon-vch-helper" bereits installiert hat, sollte es zuerst deinstallieren!
Code:
sudo apt-get remove easyvdr-addon-vch-helper
sudo apt update
sudo apt upgrade
sudo stopvdr
sudo apt-get install easyvdr-addon-vch-helper
sudo startvdr

Gruss
Wolfgang
Hallo,

Funktionierende Mediatheken!
Zitat:3sat Mediathek
ARD Mediathek
Arte+7
BR Mediathek
Golem Videos
RSS Feeds
SF Videoportal
Youtube
ZDFmediathek

Funktionieren nicht/nichtmehr
Zitat:MySpass
ORF
RTL
Sat.1

Gruss
Wolfgang